#include <bits/stdc++.h>

//KVALIFIKACIJE SS 2018 KRUG2 P1

using namespace std;

string a, b, c;
string s1, s2, s3, s4, s5, s6;
/*
string nadjiPrvi()
{
    int k=0;

    while (true)
    {
        if (a.size()<k+1 && b.size()<k+1)
        {
            return a;
        }
        if (a.size()<k+1 && c.size()<k+1)
        {
            return b;
        }
        if (c.size()<k+1 && b.size()<k+1)
        {
            return c;
        }

        if (a.size()<k+1)
        {
            if (b[k]>c[k])
                return b;
            if (c[k]>b[k])
                return c;
        }

        if (b.size()<k+1)
        {
            if (a[k]>c[k])
                return a;
            if (c[k]>a[k])
                return c;
        }

        if (c.size()<k+1)
        {
            if (b[k]>a[k])
                return b;
            if (a[k]>b[k])
                return a;
        }

        if (a[k]>b[k] && a[k]>c[k])
            return a;
        if (b[k]>c[k] && b[k]>a[k])
            return b;
        if (c[k]>a[k] && c[k]>b[k])
            return c;

        k++;
    }
}
string nadjiDrugi(string a, string b)
{
    int k=0;
    if (a==b)
        return a;

    while (true)
    {
        if (a.size()<k+1)
            return b;
        if (b.size()<k+1)
            return a;

        if (a[k]>b[k])
            return a;
        if (b[k]>a[k])
            return b;

        k++;
    }
}
*/
/*int main()
{
    if (a==b && b==c)
    {
        cout<<a<<b<<c;
        exit(0);
    }

    string prviBroj=nadjiPrvi();
    cout<<prviBroj;

    string drugiBroj;

    if (prviBroj==a)
    {
        drugiBroj=nadjiDrugi(b, c);
    }
    else if (prviBroj==b)
    {
        drugiBroj=nadjiDrugi(a, c);
    }
    else if (prviBroj==c)
    {
        drugiBroj=nadjiDrugi(a, b);
    }

    cout<<drugiBroj;

    if (drugiBroj==a)
    {
        if (prviBroj==b)
        {
            cout<<c;
            exit(0);
        }
        if (prviBroj==c)
        {
            cout<<b;
            exit(0);
        }
    }
    if (drugiBroj==b)
    {
        if (prviBroj==a)
        {
            cout<<c;
            exit(0);
        }
        if (prviBroj==c)
        {
            cout<<a;
            exit(0);
        }
    }
    if (drugiBroj==c)
    {
        if (prviBroj==b)
        {
            cout<<a;
            exit(0);
        }
        if (prviBroj==a)
        {
            cout<<b;
            exit(0);
        }
    }
*/

int main()
{
    cin>>a>>b>>c;
    
    s1=a+b+c;
    s2=a+c+b;
    s3=b+a+c;
    s4=b+c+a;
    s5=c+a+b;
    s6=c+b+a;

    cout<<max(s1, max(s2, max(s3, max(s4, max(s5, s6)))));
}